Subject: Re: [BUG 2.41.0] t/lib-httpd/apache.conf incompatible with RHEL/CentOS 7

From: Todd Zullinger <[email-masked]>
Date: Thu, 18 May 2023 15:50:36 -0400

Jeff King wrote:
> On Thu, May 18, 2023 at 02:45:32PM -0400, Jeff King wrote:
> 
>>   2. We do some kind of version check in enable_cgipassauth(),
>>      and skip tests manually if it doesn't pass.
>> [...]
>> Obviously (1) and (3) are the least work for us upstream, but I don't
>> think (2) would be too hard to do.
> 
> It indeed was pretty easy. So here's a patch. I'm adding Junio to the cc
> before any review, as this is a change in the v2.41 cycle. So I think
> we'd want to address this before the release.

Nice.

> I tested this manually by mutilating the config directive to "FooBar",
> which would fail even on recent versions. And then tweaking the "13"
> in the version check up to "60" to make sure it properly skips even with
> recent Apache. But testing on real CentOS 7 would be very much
> appreciated.

I have a build running now.  It takes around ~20 minutes in
the Fedora/EPEL build system.  I wanted to make sure it was
started quickly since you turned out a patch in the time it
took me to write my last reply. ;)

(It would have been quicker if I hadn't forgot to apply the
imap-send patch as well.  D'oh!)

-- 
Todd